org.apache.hadoop.tracing

## Interface TraceAdminPB.RemoveSpanReceiverRequestProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    TraceAdminPB.RemoveSpanReceiverRequestProto, TraceAdminPB.RemoveSpanReceiverRequestProto.Builder
  Enclosing class:
    TraceAdminPB

      public static interface TraceAdminPB.RemoveSpanReceiverRequestProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getId()` `required int64 id = 1;`
    `boolean` | `hasId()` `required int64 id = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasId

          boolean hasId()

      `required int64 id = 1;`

    - #### getId

          long getId()

      `required int64 id = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.